@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400..900&display=swap');

* {
  margin: 0;
  color: #fff;
  text-decoration: none !important;
  box-sizing: border-box;
  font-family: 'Orbitron', sans-serif;
  align-items: center;
}

.main-page-title {
  text-align: center;
  color: rgb(255, 238, 238);
  font-size: 2.5rem;
  padding: 30px 0 10px 0;
  margin: 0;
  letter-spacing: 4px;
  text-transform: uppercase;
  /* Parlama efekti (opsiyonel) */
  text-shadow: 0 0 20px rgba(255, 255, 255, 0.2);
}

body {
  background-color: #111C3E; /* Sabit arka plan */
  margin: 0;
  color: rgb(255, 238, 238);
}

.filter-btn {
  background: rgba(255, 255, 255, 0.2); /* Standart buzlu cam */
  backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 12px;
  padding: 8px;
  cursor: pointer;
  transition: all 0.3s ease;
}

/* Herhangi bir buton aktif olduğunda genel stil */
.filter-btn.active {
  border-color: white;
  box-shadow: 0 0 15px rgba(255, 255, 255, 0.2);
}

/* Hover efekti */
.filter-btn:hover {
  transform: translateY(-8px);
  background: rgba(255, 255, 255, 0.15);
}

.filter-btn img {
  width: 35px;
  height: auto;
}


.container {
  width: 85%;
  margin: auto;
  padding: 10px;
}

.row {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.col-2 { width: 20%;}
.col-8 { width: 80%;}

nav {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
}

#menu {
  margin-top: 10px; /* Yazı ile butonlar arası mesafe */
  padding: 5px 0;
  border-bottom: 1px solid #f2f2f27a;
}


/* Text */
nav a {
  font-size: 16px;
  font-weight: 500;
  color: rgb(255, 238, 238);
  white-space: nowrap;
}

/* Logo */

#kutu img{
  width: 100px;
  height: 100px;
}

/* Menu Kutu Özelliği */

#kutu:hover{
  position: relative;
  top: -10px;
}

#metin{
  position: absolute;
  word-spacing: 48px;
  top: 80px;
}

/* Element */

.element-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  margin-top: 30px;
}

/* Button */

.icon-button {
  position: relative;
  width: 100px; /* Buton PNG boyutuna göre ayarla */
  height: 100px;
  display: inline-block;
  justify-content: center; /* Dikey hizalama */
  align-items: center; 
  text-decoration: none; /* Link alt çizgisi olmasın */
  padding: 10px;
  cursor: pointer;
}

.button-bg {
  width: 100%;
  height: auto;
  display: block;
}

.icon-button:hover {
  transform: translateY(-8px);
}

/* Bottom Footer Alanı*/

#bottomFooter {
  width: 100%;
  padding: 20px 0; /* Yazının altına ve üstüne biraz boşluk verir */
}

#bottomFooter .row {
  display: flex;
  justify-content: center; /* Yatayda tam merkeze hizalar */
  align-items: center;     /* Dikeyde hizalar */
  text-align: center;
}

#bottomFooter small {
  font-family: 'Orbitron', sans-serif; /* Diğer yerlerle uyumlu olması için */
  letter-spacing: 1px;
}